Main Page Class Hierarchy Compound List File List Compound Members

# GBRDriver Class Reference

Output driver for GBR files, only outline. More...

`#include <gbrhier.h>`

Inheritance diagram for GBRDriver:

List of all members.

## Public Methods
| GBRDriver (const wxString &_filename, bool only_visible=false)
| constructor
| ~GBRDriver ()
| destructor
void | Write (Box *_Box)
void | Write (Circle *_Circle)
void | Write (ArrayReference *)
void | Write (Boundary *)
void | Write (Path *)
void | Write (Arcseg *)
void | Write (StructureReference *)
void | Write (Text *)
## Protected Attributes
Structure * | _showstructure
| top of visible structures
wxTransformMatrix * | _matrix
| holds the matrix from structure reference
bool | _visible
| is this structure visible?
G_Polygon * | _AbsPolygon
ofstream | GBR_out_file
| the filename
int | points_written
| the output stream
Point | _mid
| number of points on one line middle point of arc segment
Point | _next
| end point of arc to write
bool | _first
| to tell if it is the first point of a polygon or polyline
bool | _second
| to tell if it is the second point of a polygon or polyline
bool | _right
| to tell if right or left radius correction for contours
bool | _pulsed
| to tell if in pulsed mode

## Detailed Description

Output driver for GBR files, only outline.

Specific objects in the internal database are written as GERBER data overloaded functions from class Driver_out write the internal objects in GERBER specific form It uses the special properties on primitives to output in special GERBER code. The internal structure is written in hiearchy form (following structure references)

## Constructor & Destructor Documentation

GBRDriver::GBRDriver | ( | const wxString & | _filename,
|  | bool | only_visible = false
| ) |

  | constructor Parameters:
  filename: | name of gerber output file
  only_visible: | write only visible layers

## Member Data Documentation

G_Polygon* GBRDriver::_AbsPolygon`[protected]`

| holds the units from the library for containing the absolute polygon

The documentation for this class was generated from the following file:

- gbrhier.h

GBRDriver class Reference -- Thu Nov 28 21:24:57 2002 -- 28 Nov 2002 -- 1.2.18 -- -- . -- Main Page